
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android实现TCP客户端接收数据的方法_Android / iVAN</title>

    <meta name="description" content="Android实现TCP客户端接收数据的方法_Android 本文实例讲述了Android实现TCP客户端接收数据的方法.分享给大家供大家参考,具体如下: 配合log4net使用,用来接收调试信息.因此,此客户端只管通过TCP接收字符串数据,然后显示在界面上. 接收TCP数据 try { Socket s = new Socket(&quot;192.168.1.5&quot;, 8240); InputStream inputStream = s.getInputStream(); DataInputStream input = new DataInpu ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android实现TCP客户端接收数据的方法_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例讲述了Android实现TCP客户端接收数据的方法。分享给大家供大家参考，具体如下：</p>
<p>配合log4net使用，用来接收调试信息。因此，此客户端只管通过TCP接收字符串数据，然后显示在界面上。</p>
<p>接收TCP数据</p>
<pre>
try {
  Socket s = new Socket("192.168.1.5", 8240);
  InputStream inputStream = s.getInputStream();
  DataInputStream input = new DataInputStream(inputStream);
  byte[] b = new byte[10000];
  while(true)
  {
    int length = input.read(b);
    String Msg = new String(b, 0, length, "gb2312");
    Log.v("data",Msg);
  }
}catch(Exception ex)
{
  ex.printStackTrace();
}
</pre>
<p>开线程执行接收操作　　</p>
<p>但是，如果接收代码直接放UI按钮处理事件中，将直接引发NetworkOnMainThreadException，这是因为不能在主线程中执行Socket操作。这里使用AsyncTask开另一个线程执行socket操作。</p>
<pre>
// Activity按钮事件中
GetLogTask task = new GetLogTask();
task.execute(null);
// Activity类中嵌套类
public class GetLogTask extends AsyncTask&lt;Void,Void,String&gt;
{
  @Override
  protected String doInBackground(Void...param){
      try {
      Socket s = new Socket("192.168.1.5", 8240);
      InputStream inputStream = s.getInputStream();
      DataInputStream input = new DataInputStream(inputStream);
      byte[] b = new byte[10000];
      while(true)
      {
        int length = input.read(b);
        String Msg = new String(b, 0, length, "gb2312");
        Log.v("data",Msg);
      }
    }catch(Exception ex)
    {
      ex.printStackTrace();
    }
    return "";
  }
}
</pre>
<p>AsyncTask与界面线程通信</p>
<p>1、界面需要启动和暂停TCP接收操作。<br />
界面线程使用AsyncTask.cancel()通知接收线程结束接收操作。<br />
接收线程在doInBackground中调用isCancelled()来检查是否出现结束接收要求。</p>
<p>2、AsyncTask接收到数据之后，传递给界面显示。</p>
<p>接收线程使用Handler将数据传递给界面<br />
使用Handler的话，数据作为“消息”传递给界面处理。<br />
Handler包括了处理消息功能和发布消息功能。在这里，处理消息就是在界面上显示log文本，界面线程来干。发布消息就是将log文本作为参数，调用postmessage功能，接收线程来干。</p>
<p>主线程中的处理消息</p>
<pre>
Handler handler = new Handler(){
  @Override
  public void handleMessage(Message msg){
    text.setText(text.getText().toString()+(String)msg.obj);
  }
};
</pre>
<p>接收线程中的发布消息</p>
<pre>
Message msg = new Message();
msg.obj = msgstring;
(MainActivity.this).handler.postMessage();
</pre>
<p>以上就构成了一个简单，但可用的TCP方式的log接收端。拿个360wifi或者小米wifi，就可以使用手机接收pc应用程序发出来的log了。</p>
<p>更多关于Android相关内容感兴趣的读者可查看本站专题：《Android通信方式总结》、《Android调试技巧与常见问题解决方法汇总》、《Android开发入门与进阶教程》、《Android多媒体操作技巧汇总(音频,视频,录音等)》、《Android基本组件用法总结》、《Android视图View技巧总结》、《Android布局layout技巧总结》及《Android控件用法总结》</p>
<p>希望本文所述对大家Android程序设计有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                客户端<br />
                    ，                tcp<br />
                                    接收数据<br />
                                    c tcp客户端接收数据、qt tcp客户端接收数据、tcp客户端接收数据、c 实现多客户端tcp、qt tcp 客户端的实现，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 08:10:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7%e7%ab%af/" title="客户端">客户端</a>, <a href="https://www.iamivan.net/tag/tcp/" title="tcp">tcp</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a5%e6%94%b6%e6%95%b0%e6%8d%ae/" title="接收数据">接收数据</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android实现TCP客户端接收数据的方法_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymkaEM.html" rel="bookmark">Android实现TCP客户端接收数据的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android实现TCP客户端接收数据的方法.分享给大家供大家参考,具体如下: 配合log4net使用,用来接收调试信息.因此,此客户端只管通过TCP接收字符串数据,然后显示在界面上. 接收TCP数据 try { Socket s = new Socket(&quot;192.168.1.5&quot;, 8240); InputStream inputStream = s.getInputStream(); DataInputStream input = new DataInputStre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEOaOp.html" rel="bookmark">Android实现滑动加载数据的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android实现滑动加载数据的方法.分享给大家供大家参考.具体实现方法如下: EndLessActivity.java如下: package com.ScrollListView; import Android.app.ListActivity; import Android.os.Bundle; import Android.view.Gravity; import Android.view.View; import Android.view.ViewGroup; import			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKQl8z.html" rel="bookmark">Android编程解析Json格式数据的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程解析Json格式数据的方法.分享给大家供大家参考,具体如下: package com.practice.json; import org.json.JSONArray; import org.json.JSONException; import org.json.JSONObject; import android.app.Activity; import android.os.Bundle; import android.util.Log; public cla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn84Job.html" rel="bookmark">详解Android Activity之间切换传递数据的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面照着android系统的裁剪图片的功能自己写了一个相似的工具.功能是大体上实现了,但留下了一个调用的问题:如何从我的程序调用这个裁剪工具,并且获得裁剪后的图片呢? 其实这个也很简单了,就是intent的基础用法. 先上个图(界面依旧没优化,难看就难看吧): 起始activity,打开图片选择窗口,随便选择一张图片 下面是跳转到裁剪界面 按下crop按钮,退出activity,回到原来界面,并显示裁剪后的图 流程就是这样,也算模拟了系统裁剪功能的整体过程.下面就是实现功能的关键代码和说明了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Nw89p.html" rel="bookmark">android不同activity之间共享数据解决方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近做局域网socket连接问题,要在多个activity之间公用一个socket连接,就在网上搜了下资料,感觉还是application方法好用,帖出来分享下! Android中在不同Activity中传递变量,通常使用Intent中Bundle添加变量的操作方法. 保存参数时: 复制代码 代码如下: Intent intent = new Intent(); intent.setClass(A.this, B.class); Bundle bundle = new Bundle(); bun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk7ne7p.html" rel="bookmark">asp&period;net c&num;&period;net Tcp socket 接收数据代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp教程.net c#.net tcp socket 接收数据代码  //监听网络          public bool opennet(string sport)        {             processor = new thread(new threadstart(startlistening));//新建监听线程             processor.priority = threadpriority.normal;             processor.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYK8yp.html" rel="bookmark">asyncsocket 接收数据-AsyncSocket 服务器连续快速发送数据，客户端接收数据部分丢失</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 AsyncSocket 服务器连续快速发送数据,客户端接收数据部分丢失 请问各路大神:使用AsyncSocket时,服务器间断向客户端发送消息接收正常.但是,连续快速发送消息就会出现数据丢失的情况.比如连续发100条,客户端可能会少接收十几条消息.这会是什么原因造成的呢?拜托~~ 解决方案 求大神拯救啊 在线等~~			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeKw3OM.html" rel="bookmark">Android实现滑动加载数据的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android实现滑动加载数据的方法.分享给大家供大家参考.具体实现方法如下: EndLessActivity.java如下: package com.ScrollListView; import Android.app.ListActivity; import Android.os.Bundle; import Android.view.Gravity; import Android.view.View; import Android.view.ViewGroup; import			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVmJZDp.html" rel="bookmark">Android编程解析Json格式数据的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程解析Json格式数据的方法.分享给大家供大家参考,具体如下: package com.practice.json; import org.json.JSONArray; import org.json.JSONException; import org.json.JSONObject; import android.app.Activity; import android.os.Bundle; import android.util.Log; public cla			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx06OM.html" rel="bookmark" class="title">七牛云存储-java&plus;android 实现多张图片上传至七牛云上面？？？</a>
					<div>
						问题描述 java+android 实现多张图片上传至七牛云上面??? 新手,刚入行,最近有个需求是要实现多张图片上传,上传至七牛云存储上面,查了一些,仅仅一些概念就理不清了,求能给个具体的实例,非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6GaNp.html" rel="bookmark" class="title">众说纷纭的Flex框架Mate</a>
					<div>
						Mate是由AsFusion在2008年6月创建的一个基于标签的Flex框架.自从InfoQ报道了Flex社区对其发布的反应后,Mate得到了Flex开发者的注意.当前很多人都想知道相比于已有的其他框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Ywnb.html" rel="bookmark" class="title">Windows To Go与典型的Windows安装程序的区别</a>
					<div>
						Windows To Go 的操作和任何其他 Windows 安装程序一样,但一些例外情况除外.这些例外情况包括: 默认情况下,禁用休眠和睡眠功能.为防止 Windows To Go 在漫游期间遭受意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRNVYz.html" rel="bookmark" class="title">win7下IIS的安装和配置 图文教程</a>
					<div>
						最近工作需要IIS,自己的电脑又是Windows7系统,找了下安装的方法,已经安装成功.在博客里记录一下,给需要的朋友,也是给自己留个备份,毕竟我脑子不是很好使. 一.首先是安装IIS.打开控制面板, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNNVQM.html" rel="bookmark" class="title">电脑不能开机解决办法</a>
					<div>
						1.电脑能正常打开电源,并进行coms自检,但就是不能启动操作系统.光标在黑屏上闪烁,有提示:&quot;Press any key to restar computer.&quot; 1)我碰到的这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWY6Bb.html" rel="bookmark" class="title">jQuery实现简单的日期输入格式化控件</a>
					<div>
						 本文给大家分享的是javascript实现简单的日期输入格式化控件的方法和思路,非常的细致实用,推荐给小伙伴们     js代码有一百多行. 先上效果图 html代码 日期: &lt;input t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZqYwz.html" rel="bookmark" class="title">win7访问指定网页的妙招</a>
					<div>
						  办法1 修改Hosts文件 hosts文件位于 Windows/system32/drivers/etc/目录下,用于控制域名访问.我想到的办法修改hosts文件,让DNS域名解析这些网站都指向1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oWdDb.html" rel="bookmark" class="title">JavaScript的null和undefined区别示例介绍</a>
					<div>
						 先说说undefined: Javascript中的变量是弱类型的, 所以声明变量的时候只需使用var关键字即可.如果是像C这样的强类型语言, 声明变量的时候如果没有指定初始值,那么会给他一个默认值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkKKdb.html" rel="bookmark" class="title">WAVE是什么</a>
					<div>
						WAVE是录音时用的标准的Windows文件格式,文件的扩展名为&quot;WAV&quot;,数据本身的格式为PCM或压缩型.WAVE文件格式是一种由微软和IBM联合开发的用于音频数字存储的标准,它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRoLQp.html" rel="bookmark" class="title">三年前的一个小项目经验，分享给菜鸟兄弟们</a>
					<div>
						原文地址 (公文收发小软件:前期需求调查部分) 日期:2009年1月1日  晚上 分类:项目开发经验 两年前还在宁波时,我做过宁波教育局的一个小项目,一个部门内部使用的公文收发记录软件.这个项目当时是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3w6kz.html" rel="bookmark" class="title">link 环境下，制作《网盘软件》的下载器，请问如何实现断点续传下载？</a>
					<div>
						问题描述 link 环境下,制作&lt;网盘软件&gt;的下载器,请问如何实现断点续传下载? link 环境下,制作&lt;网盘软件&gt;的下载器,请问如何实现断点续传下载? 解决方案 http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrOq0M.html" rel="bookmark" class="title">源码-关于swing布局问题--borderlayout&plus;flowlayout自动撑高问题</a>
					<div>
						问题描述 关于swing布局问题--borderlayout+flowlayout自动撑高问题 就象2bizbox 查询列表区域(上面查询条件+分页条,下面是表格列表)那样,调整窗口大小时,那个查询条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVXj1b.html" rel="bookmark" class="title">Python网络协议模块学习之smtplib</a>
					<div>
						功能:smtplib模块是通过邮件服务器发送电子邮件,是smtp客户端的实现,支持邮件格式有:文本.HTML.Image.EXCEL等. 1.普通文本邮件 1 2 3 4 5 6 7 8 9 10 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3YD4z.html" rel="bookmark" class="title">IDC：公共云计算服务潜力无限</a>
					<div>
						本文讲的是IDC:公共云计算服务潜力无限,[IT168 资讯]进入2008年以来,云计算(Cloud Computing)已经成为IT业的热点话题.在当前全球金融危机的形势下,用户的IT投资将出现下降 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPn2Dp.html" rel="bookmark" class="title">我国移动互联网发展概况：智能终端数量第一</a>
					<div>
						当前,移动互联网在全球掀起了新的发展高潮,特别是随着移动智能终端的日益普及,移动应用和服务不断丰富,我国也进入了移动互联网高速发展阶段.特别是移动互联网用户数量.终端数量.市场规模的增长速度和态势非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkexrwb.html" rel="bookmark" class="title">封网及停服务器  我们学到了什么</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 相信不少站长这次都受到服务器被封的影响,成批的服务器被停,当中的确可能有把一些不良信息的站点给封停了.但受到伤害最大的还是辛苦耕耘的无辜站长,怎么说或许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLJwZp.html" rel="bookmark" class="title">信任之外更是一辈子的托付</a>
					<div>
						从最初的仔细考察,到接下来的愉快合作,再到对合作伙伴提出更高的期盼,甚至希望对方能够成为促进整个婚纱摄影行业健康发展的推手--很容易看出,八月照相馆对大众点评网足够信任,也有足够的信心!信任和信心从何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7R2Zz.html" rel="bookmark" class="title">提取重复代码不应该只从代码角度，可以从业务角度看看（转）</a>
					<div>
						DRY(Don't Repeat Yourself )原则   凡是写过一些代码的程序猿都能够意识到应该避免重复的代码和逻辑.我们通过提取方法,提取抽象类等等措施来达到这一目的.我们总能时不时的听到类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq27mb.html" rel="bookmark" class="title">麦当劳部分食品结构性上调0&period;5元到2元</a>
					<div>
						麦当劳的部分主食.小食和饮料上调了0.5元到2元不等 [财新网] (综合媒体报道) 自7月13日起,麦当劳的部分主食.小食和饮料上调了0.5元到2元不等.每天3个时段的&quot;超值选择&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xjdvb.html" rel="bookmark" class="title">如何使用HttpClient模仿用户对论坛进行注册、登陆和发表文章呢？</a>
					<div>
						问题描述 RT,麻烦给位给点思路,最好是能附上代码,谢谢~ 解决方案 解决方案二:找到注册.登录和发表文章的form,用HttpClient填上参数POST过去就行了,这个不是问题,你要解决的最大问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0K44p.html" rel="bookmark" class="title">创业甜品屋</a>
					<div>
						喜爱甜品的舌头+喜爱甜品的伙伴+繁华地段几十平米见方的屋子+美味的原材料+充满创意的点子=魅力甜品屋. 采写|&lt;小康·财智&gt;记者 胡柯 下午3点,茉莉放下手头的工作,神色黯淡地走到街对面一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R78nz.html" rel="bookmark" class="title">求助关于Chart图表控件ToolTip的问题</a>
					<div>
						问题描述 我的Chart的提示信息赋值后显示有问题.代码如下:chart1.Series[0].ToolTip=&quot;名称:#VALX\n值:#VAL&quot;;chart1.Series[1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnOl8M.html" rel="bookmark" class="title">谷歌云存储磁盘服务：云数据迁移&OpenCurlyDoubleQuote;So easy&rdquo;</a>
					<div>
						导读:如果你想把数据存放在云端,但是又担心带宽问题,现在随时可以邮寄这些数据了.谷歌上周发布了一款硬盘驱动运输服务,此项服务作为谷歌云存储的一部分. 如果你想把数据存放在云端,但是又担心带宽问题,现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M604ayz.html" rel="bookmark" class="title">你身边的云呼叫中心应用</a>
					<div>
						可能有不少朋友并不是很懂什么是云呼叫中心系统,觉得离自己的生活很遥远,其实不然,日常生活中有很多时候,都跟云呼系统息息相关. 行 市面上正热的约车软件.需要出行时,使用约车软件进行约车,在联系司机时需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKPPLp.html" rel="bookmark" class="title">新手-关于c&plus;&plus;文件操作的写入指针问题</a>
					<div>
						问题描述 关于c++文件操作的写入指针问题 C++文件操作中如何在不刷新内容下从头写入数据?用ios::out和app后无法用seekp(0l,ios::beg)移动写指针到开头啊,求解怎么办???  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Jm9p.html" rel="bookmark" class="title">jsp查询数据如何在网页显示</a>
					<div>
						问题描述 数据库字段usernamedwxlnl张三税务局研究生30现在jaca文件从网页文本框获取username字段我只弄明白一个删除,修改和添加功能,请问查询应该如何做publicvoiddoP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK1k4z.html" rel="bookmark" class="title">网购&OpenCurlyDoubleQuote;双11&rdquo; 算清实惠再出手</a>
					<div>
						&quot;双11&quot;就要来了.电商磨刀霍霍,http://www.aliyun.com/zixun/aggregation/35900.html&quot;&gt;网购达人们可否成为最大赢家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWj08z.html" rel="bookmark" class="title">zk日常运维管理</a>
					<div>
						清理数据目录 dataDir目录指定了ZK的数据目录,用于存储ZK的快照文件(snapshot).另外,默认情况下,ZK的事务日志也会存储在这个目录中.在完成若干次事务日志之后(在ZK中,凡是对数据有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2yBjz.html" rel="bookmark" class="title">将Telerik&period;Reporting&period;Report对象类型作为参数传进方法</a>
					<div>
						问题描述 publicvoidExportToPDF(Telerik.Reporting.ReportreportToExport)//这里要用report类型,请问怎么转换{ReportProces ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA7aOp.html" rel="bookmark" class="title">numberpicker-NumberPicker怎么自定义显示行数？</a>
					<div>
						问题描述 NumberPicker怎么自定义显示行数? NumberPicker怎么自定义显示行数?求指导,找好多demo都没有能好使的.					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
